/*!
* Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-rating {
  display: flex;
  overflow: hidden;
  position: relative;

  .nv-stars-bkg {
    left: 0;
    position: absolute;
    top: 0;
    z-index: 0;
  }

  .nv-stars-interact {
    position: relative;
    z-index: 2;
  }

  .nv-stars-bkg,
  .nv-stars-interact {
    display: flex;
    flex-wrap: nowrap;

    svg {
      width: 32px;
    }
  }

  //
  // Default theme
  //

  svg path {
    fill: var(--nv-theme-primary);
  }

  .nv-star-content {
    @extend .transition-exit;
    cursor: pointer;
    height: 32px;
    opacity: 0;
    width: 32px;

    &.nv-star-show {
      opacity: 1;
    }

    &:hover {
      @extend .transition-entrance;
      opacity: 1;
      transform: scale(1.3);
    }
  }

  &.nv-rating-no-interact {
    .nv-star-content {
      cursor: default;

      &:hover {
        transform: unset;
      }
    }
  }

  .nv-stars-interact-container {
    display: flex;
    overflow: hidden;
  }
}
